SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.CLASS_NAME, 
	N.PHYSICAL_NAME as "type", 
	A.PARAM, 
	M.ID, 
	M.LOGICAL_NAME, 
	M.PHYSICAL_NAME
FROM 
	WEDGE_CS_CRULE as A
	Left Outer Join WEDGE_CS_FRAME as M on ( CHAR( M.PHYSICAL_NAME ) = CHAR(A.ADAPTER_PNAME) )
	Left Outer Join WEDGE_BUSINESSRULE as C on ( CHAR( C.ID ) = CHAR(A.BASECLASS_ID) )
	Left Outer Join WEDGE_NAME as N on ( CHAR( N.VALUE ) = CHAR(A.TYPE) and CHAR( N.SEARCH_STRING ) = 'CRULE_TYPE' )
WHERE 
	CHAR( A.ID ) = ?
