SELECT 
	B.PHYSICAL_NAME as "execute_timing", 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	F.PHYSICAL_NAME as "user_error", 
	Z.BEFORE_DIALOG, 
	Z.AFTER_DIALOG, 
	Z.ERROR_DIALOG, 
	Z.PARAM
FROM 
	WEDGE_CS_EXECUTE_TIMING as Z
	Left Outer Join WEDGE_NAME as B on ( CHAR( B.VALUE ) = CHAR(Z.EXECUTE_TIMING) and CHAR( B.SEARCH_STRING ) = 'EXECUTE_TIMING' )
	Left Outer Join WEDGE_CS_ITEM as C on ( CHAR( C.ID ) = CHAR(Z.NEXT_ITEM_ID) )
	Left Outer Join WEDGE_CS_ITEM as D on ( CHAR( D.ID ) = CHAR(Z.ITEM_ID) )
	Left Outer Join WEDGE_CS_TABLE_H as E on ( CHAR( E.ID ) = CHAR(Z.TABLE_H_ID) )
	Left Outer Join WEDGE_NAME as F on ( CHAR( F.VALUE ) = CHAR(Z.USER_ERROR) and CHAR( F.SEARCH_STRING ) = 'CLIENT_USER_ERROR' )
WHERE 
	CHAR( Z.CRULE_ID ) = ?
ORDER BY 
	Z.LINE
