SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO
FROM 
	WEDGE_CS_CRULE as Z
	Inner Join WEDGE_CS_FRAME as A on ( CHAR( A.PHYSICAL_NAME ) = CHAR(Z.ADAPTER_PNAME) )
WHERE 
	CHAR( Z.FRAME_ID ) = ? AND 
	CHAR( Z.TYPE ) = '2'
ORDER BY 
	A.PHYSICAL_NAME
