SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO as "comment", 
	Z.PARAM, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.CLASS_NAME
FROM 
	WEDGE_CS_CRULE as Z
	Inner Join WEDGE_CS_CRULE_IN_RECORD as A on ( CHAR( A.CRULE_ID ) = CHAR(Z.ID) and CHAR( A.ITEM_ID ) = ? )
	Left Outer Join WEDGE_BUSINESSRULE as B on ( CHAR( B.ID ) = CHAR(Z.BASECLASS_ID) )
ORDER BY 
	Z.PHYSICAL_NAME
