SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	count(B.ID) as "count"
FROM 
	WEDGE_BAT_SUB as Z
	Inner Join WEDGE_BAT_DLCP as A on ( CHAR( A.BATCH_SUB_ID ) = CHAR(Z.ID) )
	Inner Join WEDGE_DAT_DLCP_H as B on ( CHAR( B.ID ) = CHAR(A.DLCP_ID) and CHAR( B.TABLE_H_ID ) = ? )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO
ORDER BY 
	Z.PHYSICAL_NAME
