SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	A.RECORD_H_ID, 
	C.PHYSICAL_NAME as "connection_db", 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE
FROM 
	WEDGE_DAT_TABLE_H as A
	Inner Join WEDGE_DAT_RECORD_H as B on ( CHAR( B.ID ) = CHAR(A.RECORD_H_ID) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(A.CONNECTION_DB) and CHAR( C.SEARCH_STRING ) = 'CONNECTION_DB' )
WHERE 
	CHAR( A.ID ) = ?
ORDER BY 
	A.PHYSICAL_NAME
