SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.REVISION, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO
FROM 
	WEDGE_BAT_CALL_STRAN as Z
	Inner Join WEDGE_CS_SERVERSUB as A on ( CHAR( A.PHYSICAL_NAME ) = CHAR(Z.CALL_SERVERSUB_PNAME) )
	Inner Join WEDGE_CS_STRAN as B on ( CHAR( B.PHYSICAL_NAME ) = CHAR(Z.CALL_STRAN_PNAME) )
WHERE 
	CHAR( Z.BATCH_SUB_ID ) = ?
ORDER BY 
	Z.LINE
