SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "COMMENT", 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
FROM 
	WEDGE_BAT_RULE as C
	Inner Join WEDGE_BAT_RULE_IN_RECORD as A on ( CHAR( A.BATCH_RULE_ID ) = CHAR(C.ID) and CHAR( A.BATCH_DATA_ID ) = ? )
	Inner Join WEDGE_BUSINESSRULE as D on ( CHAR( D.ID ) = CHAR(C.BASECLASS_ID) )
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
ORDER BY 
	C.PHYSICAL_NAME
