SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_BAT_DATA as A
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(A.ITEM_TYPE) and CHAR( C.SEARCH_STRING ) = 'ITEM_TYPE' )
WHERE 
	CHAR( A.BATCH_SUB_ID ) = ?
ORDER BY 
	A.LINE
