SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.PHYSICAL_NAME as "decision_execute_type"
FROM 
	WEDGE_BAT_DECISION_TYPE as A
	Left Outer Join WEDGE_NAME as B on ( CHAR( B.VALUE ) = CHAR(A.DECISION_EXECUTE_TYPE) and CHAR( B.SEARCH_STRING ) = 'DECISION_EXECUTE_TYPE' )
WHERE 
	CHAR( A.DECISION_TABLE_ID ) = ?
ORDER BY 
	A.LINE
