SELECT 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME, 
	COUNT(G.ID) as "count"
FROM 
	WEDGE_BAT_TRAN as Z
	Inner Join WEDGE_BAT_DECISION_TABLE as C on ( CHAR( C.BATCH_SUB_ID ) = CHAR(Z.BATCH_SUB_ID) and CHAR( C.SERVER_TRAN_ID ) = CHAR(Z.ID) )
	Inner Join WEDGE_BAT_DECISION_TYPE as D on ( CHAR( D.BATCH_SUB_ID ) = CHAR(Z.BATCH_SUB_ID) and CHAR( D.DECISION_TABLE_ID ) = CHAR(C.ID) )
	Inner Join WEDGE_BAT_DECISION_DLCP as E on ( CHAR( E.BATCH_SUB_ID ) = CHAR(Z.BATCH_SUB_ID) and CHAR( E.DECISION_TYPE_ID ) = CHAR(D.ID) )
	Inner Join WEDGE_BAT_DLCP as F on ( CHAR( F.BATCH_SUB_ID ) = CHAR(Z.BATCH_SUB_ID) and CHAR( F.ID ) = CHAR(E.DC_ID) )
	Inner Join WEDGE_DAT_DLCP_H as G on ( CHAR( G.ID ) = CHAR(F.DLCP_ID) and (CHAR( G.COMM_ID ) = CHAR(258)  or CHAR( G.COMM_ID ) = CHAR(392) ))
	Inner Join WEDGE_DAT_TABLE_H as H on ( CHAR( H.ID ) = CHAR(G.TABLE_H_ID) )
	Inner Join WEDGE_DLCP as I on ( CHAR( I.ID ) = CHAR(G.COMM_ID) )
WHERE 
	CHAR( Z.ID ) = ?
GROUP BY 
	H.ID, 
	H.PHYSICAL_NAME, 
	H.LOGICAL_NAME
ORDER BY 
	H.PHYSICAL_NAME
