SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.CLASS_NAME, 
	A.TEXT, 
	A.TOOLTIP_TEXT, 
	C.X_POS, 
	C.Y_POS, 
	C.WIDTH, 
	C.HEIGHT
FROM 
	WEDGE_CS_COMPONENT as A
	Left Outer Join WEDGE_BASE AS B ON ( B.ID = A.BASECLASS_ID  )
	Left Outer Join WEDGE_CS_LAYOUT AS C ON ( C.COMPONENT_ID = A.ID  )
WHERE 
	A.ID = ?
