SELECT 
	A.SERVERSUB_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.PHYSICAL_NAME as "item_type"
FROM 
	WEDGE_CS_SERVERDATA as A
	Left Outer Join WEDGE_DAT_DATA_D AS B ON ( B.ID = A.DATA_D_ID  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'ITEM_TYPE' ) AS C ON ( C.VALUE = A.ITEM_TYPE  )
WHERE 
	A.ID = ?
