SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.FRAME_TYPE, 
	COUNT(A.ID) as "count"
FROM 
	WEDGE_CS_FRAME as A
	Inner Join WEDGE_CS_CTRAN AS B ON ( B.FRAME_ID = A.ID  )
	Inner Join WEDGE_CS_STRAN AS C ON ( C.PHYSICAL_NAME = B.STRAN_PNAME  AND C.SERVERSUB_ID = ?  )
	Inner Join WEDGE_CS_SERVERSUB AS D ON ( D.ID = C.SERVERSUB_ID  AND D.PHYSICAL_NAME = B.SERVERSUB_PNAME  )
GROUP BY 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.FRAME_TYPE
ORDER BY 
	A.PHYSICAL_NAME
