SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	COUNT(Z.ID) as "count"
FROM 
	WEDGE_BAT_SUB as Z
	Inner Join WEDGE_BAT_CALL_STRAN AS B ON ( B.BATCH_SUB_ID = Z.ID  )
	Inner Join WEDGE_CS_SERVERSUB AS A ON ( A.PHYSICAL_NAME = B.CALL_SERVERSUB_PNAME  AND A.ID = ?  )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME
ORDER BY 
	Z.PHYSICAL_NAME
