SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE
FROM 
	WEDGE_DAT_DLCP_H as A
	Left Outer Join WEDGE_DAT_TABLE_H AS B ON ( B.ID = A.TABLE_H_ID  )
	Left Outer Join WEDGE_BASE AS C ON ( C.ID = A.COMM_ID  )
ORDER BY 
	B.PHYSICAL_NAME, 
	A.SQL_TYPE, 
	A.PHYSICAL_NAME
