SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	COUNT(Z.ID) as "count"
FROM 
	WEDGE_CS_EXECUTION_H "Z", 
	WEDGE_CS_EXECUTION_D "A"
WHERE 
	A.HID = Z.ID AND 
	A.CRULE_ID = ?
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME
ORDER BY 
	Z.PHYSICAL_NAME
