SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	A.CLASS_NAME, 
	A.SEARCH_STRING
FROM 
	WEDGE_DAT_DLCP_H "Z", 
	WEDGE_DLCP "A", 
	WEDGE_DAT_DLCP_D "B"
WHERE 
	A.ID (+)= Z.COMM_ID AND 
	B.HID = Z.ID AND 
	B.DATA_D_ID = ?
ORDER BY 
	Z.PHYSICAL_NAME
