SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME
FROM 
	WEDGE_CS_SERVERSUB "Z", 
	WEDGE_CS_SRULE "A"
WHERE 
	A.SERVERSUB_ID = Z.ID AND 
	A.BASECLASS_ID = ?
ORDER BY 
	Z.PHYSICAL_NAME, 
	A.PHYSICAL_NAME
