SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	A.LOGICAL_NAME || '(' || A.PHYSICAL_NAME || ')' as "batch_tran_type", 
	Z.CREATE_USER, 
	Z.CREATE_DATE, 
	Z.UPDATE_USER, 
	Z.UPDATE_DATE, 
	Z.REVISION, 
	Z.COMPILED
FROM 
	WEDGE_BAT_SUB "Z", 
	WEDGE_NAME "A"
WHERE 
	Z.ID = ? AND 
	A.VALUE (+)= Z.BATCH_TRAN_TYPE AND 
	A.SEARCH_STRING (+)= 'BATCH_PATTERN_TYPE'
