SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	A.TEXT, 
	A.TOOLTIP_TEXT, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.CLASS_NAME
FROM 
	WEDGE_CS_COMPONENT as A
	Left Outer Join WEDGE_BASE AS B ON ( B.ID = A.BASECLASS_ID  )
WHERE 
	A.FRAME_ID = ?
ORDER BY 
	A.LINE
