SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.REVISION, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO
FROM 
	WEDGE_CS_CALL_STRAN as Z
	Inner Join WEDGE_CS_SERVERSUB AS A ON ( A.PHYSICAL_NAME = Z.CALL_SERVERSUB_PNAME  )
	Inner Join WEDGE_CS_STRAN AS B ON ( B.PHYSICAL_NAME = Z.CALL_STRAN_PNAME  )
WHERE 
	Z.SERVERSUB_ID = ?
ORDER BY 
	Z.LINE
