SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "comment"
FROM 
	WEDGE_CS_STRAN as C
	Inner Join WEDGE_CS_STRAN_OUT_RECORD AS A ON ( A.SERVERTRANSACTION_ID = C.ID  AND A.SERVERDATA_ID = ?  )
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO
ORDER BY 
	C.PHYSICAL_NAME
