SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	count(A.ID) as "count"
FROM 
	WEDGE_CS_SERVERSUB as Z
	Inner Join WEDGE_CS_DLCP AS A ON ( A.SERVERSUB_ID = Z.ID  AND A.DLCP_ID = ?  )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME
ORDER BY 
	Z.PHYSICAL_NAME
