<?xml version="1.0" encoding="shift_jis"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" > 
<xsl:import href="./common.xsl"/>
<xsl:output method="html" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />

<!-- ****** TOP ****** -->
<xsl:template match="/">
	<xsl:apply-templates select="dynamic_document">
		<xsl:with-param name="select_type" select="'2'"/>
		<xsl:with-param name="data_type" select="$TARGET_HTML"/>
		<xsl:with-param name="id" select="$HEADER_ID"/>
	</xsl:apply-templates>
</xsl:template>

<!-- ****** HEADER ****** -->
<xsl:template match="header">
	<xsl:apply-templates select="record"/>

</xsl:template>
<!-- ****** DETAIL ****** -->
<xsl:template match="detail">
	<xsl:apply-templates select="record"/>
</xsl:template>

<xsl:template match="record">
	<xsl:element name="pre"><xsl:value-of select="source" /></xsl:element>
</xsl:template>

</xsl:stylesheet>
