SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	B.PHYSICAL_NAME as "item_type", 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME
FROM 
	WEDGE_CS_ITEM as Z
	Left Outer Join WEDGE_NAME as B on ( CHAR( B.VALUE ) = CHAR(Z.ITEM_TYPE) and CHAR( B.SEARCH_STRING ) = 'ITEM_TYPE' )
	Left Outer Join WEDGE_DAT_DATA_D as C on ( CHAR( C.ID ) = CHAR(Z.DATA_D_ID) )
WHERE 
	CHAR( Z.COMPONENT_ID ) = ?
ORDER BY 
	Z.PHYSICAL_NAME
