SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	COUNT(Z.ID) as "count"
FROM 
	WEDGE_CS_EXECUTION_H as Z
	Inner Join WEDGE_CS_EXECUTION_D as A on ( CHAR( A.HID ) = CHAR(Z.ID) and CHAR( A.CRULE_ID ) = ? )
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME
ORDER BY 
	Z.PHYSICAL_NAME
