SELECT 
	Z.SERVERSUB_ID, 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	Z.CONNECTION_DB as "connect_db"
FROM 
	WEDGE_CS_DLCP as Z
	Left Outer Join WEDGE_DAT_DLCP_H as A on ( CHAR( A.ID ) = CHAR(Z.DLCP_ID) )
	Left Outer Join WEDGE_CS_SRULE as B on ( CHAR( B.ID ) = CHAR(Z.SRULE_ID) )
WHERE 
	CHAR( Z.ID ) = ?
