SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME
FROM 
	WEDGE_BAT_CALL_STRAN as A
	Inner Join WEDGE_BAT_SUB as B on ( CHAR( B.ID ) = CHAR(A.BATCH_SUB_ID) )
	Inner Join WEDGE_CS_STRAN as C on ( CHAR( C.PHYSICAL_NAME ) = CHAR(A.CALL_STRAN_PNAME) and CHAR( C.ID ) = ? )
	Inner Join WEDGE_CS_SERVERSUB as D on ( CHAR( D.ID ) = CHAR(C.SERVERSUB_ID) and CHAR( D.PHYSICAL_NAME ) = CHAR(A.CALL_SERVERSUB_PNAME) )
ORDER BY 
	B.PHYSICAL_NAME, 
	A.PHYSICAL_NAME
