SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.LENGTH, 
	Z.SCALE, 
	Z.DEFAULT_VALUE, 
	C.LOGICAL_NAME as "OMIT", 
	Z.ENUM, 
	Z.MINIMUM, 
	Z.MAXIMUM, 
	Z.CREATE_USER, 
	Z.CREATE_DATE, 
	Z.UPDATE_USER, 
	Z.UPDATE_DATE
FROM 
	WEDGE_DAT_DATA_H as Z
	Left Outer Join WEDGE_DATA_CLASS as B on ( CHAR( B.ID ) = CHAR(Z.TYPE) )
	Left Outer Join WEDGE_NAME as C on ( CHAR( C.VALUE ) = CHAR(Z.OMIT) and CHAR( C.SEARCH_STRING ) = 'TRUE_OR_FALSE' )
ORDER BY 
	Z.PHYSICAL_NAME
