SELECT 
	Z.ID, 
	A.LOGICAL_NAME as "type", 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.SQL_TYPE, 
	Z.SQL, 
	Z.RUNTIME_SQL, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	A.ID, 
	A.HID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.SEARCH_STRING, 
	A.MEMO, 
	A.CLASS_NAME, 
	Z.CREATE_USER, 
	Z.CREATE_DATE, 
	Z.UPDATE_USER, 
	Z.UPDATE_DATE, 
	Z.REVISION
FROM 
	WEDGE_DAT_DLCP_H as Z
	Inner Join WEDGE_DLCP as A on ( CHAR( A.ID ) = CHAR(Z.COMM_ID) )
	Left Outer Join WEDGE_DAT_TABLE_H as B on ( CHAR( B.ID ) = CHAR(Z.TABLE_H_ID) )
WHERE 
	CHAR( Z.ID ) = ?
ORDER BY 
	Z.PHYSICAL_NAME
