SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.FRAME_TYPE, 
	count(A.ID) as "count"
FROM 
	WEDGE_CS_FRAME as Z
	Inner Join WEDGE_CS_EXECUTION_H as A on ( CHAR( A.FRAME_ID ) = CHAR(Z.ID) )
	Inner Join WEDGE_CS_EXECUTION_D as B on ( CHAR( B.HID ) = CHAR(A.ID) and (CHAR( B.HTML_ID ) = ?  or CHAR( B.ERROR_HTML_ID ) = ? ))
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.FRAME_TYPE
ORDER BY 
	Z.PHYSICAL_NAME
