SELECT 
	Z.BATCH_SUB_ID, 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	Z.PARAM, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	Z.CONNECTION_DB as "connect_db"
FROM 
	WEDGE_BAT_DLCP as Z
	Left Outer Join WEDGE_DAT_DLCP_H as A on ( CHAR( A.ID ) = CHAR(Z.DLCP_ID) )
	Left Outer Join WEDGE_BAT_RULE as B on ( CHAR( B.ID ) = CHAR(Z.SRULE_ID) )
	Left Outer Join WEDGE_BAT_DLCP as C on ( CHAR( C.ID ) = CHAR(Z.OUTPUT_DLCP_ID) )
WHERE 
	CHAR( Z.ID ) = ?
ORDER BY 
	Z.LINE
