SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO
FROM 
	WEDGE_CS_CRULE as Z
	Inner Join WEDGE_CS_FRAME AS A ON ( A.PHYSICAL_NAME = Z.ADAPTER_PNAME  AND A.ID = ?  )
	Inner Join WEDGE_CS_FRAME AS B ON ( B.ID = Z.FRAME_ID  )
WHERE 
	Z.TYPE = '2'
ORDER BY 
	B.PHYSICAL_NAME
