SELECT 
	A.FRAME_ID, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	A.X_POS, 
	A.Y_POS, 
	A.WIDTH, 
	A.HEIGHT, 
	C.ID as "parent_id", 
	C.LOGICAL_NAME as "parent_lname", 
	C.PHYSICAL_NAME as "parent_pname", 
	C.MEMO as "parent_memo"
FROM 
	WEDGE_CS_LAYOUT as A
	Inner Join WEDGE_CS_COMPONENT AS B ON ( B.ID = A.COMPONENT_ID  )
	Left Outer Join WEDGE_CS_COMPONENT AS C ON ( C.ID = A.PARENT_COMPONENT  )
WHERE 
	A.ID = ?
