SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "comment", 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
FROM 
	WEDGE_CS_SRULE as C
	Inner Join WEDGE_CS_SRULE_OUT_RECORD AS A ON ( A.SERVERBUSINESSRULE_ID = C.ID  AND A.SERVERDATA_ID = ?  )
	Left Outer Join WEDGE_BUSINESSRULE AS D ON ( D.ID = C.BASECLASS_ID  )
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
ORDER BY 
	C.PHYSICAL_NAME
