SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME
FROM 
	WEDGE_CS_CALL_STRAN as A
	Inner Join WEDGE_CS_SERVERSUB AS B ON ( B.ID = A.SERVERSUB_ID  )
	Inner Join WEDGE_CS_STRAN AS C ON ( C.PHYSICAL_NAME = A.CALL_STRAN_PNAME  AND C.ID = ?  )
	Inner Join WEDGE_CS_SERVERSUB AS D ON ( D.ID = C.SERVERSUB_ID  AND D.PHYSICAL_NAME = A.CALL_SERVERSUB_PNAME  )
ORDER BY 
	B.PHYSICAL_NAME, 
	A.PHYSICAL_NAME
