SELECT 
	Z.DATA_D_ID as "id", 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	D.LOGICAL_NAME as "type", 
	B.LENGTH, 
	B.SCALE, 
	B.DEFAULT_VALUE, 
	C.LOGICAL_NAME as "omit", 
	B.ENUM, 
	B.MINIMUM, 
	B.MAXIMUM
FROM 
	WEDGE_DAT_RECORD_D as Z
	Inner Join WEDGE_DAT_TABLE_H AS X ON ( X.RECORD_H_ID = Z.HID  AND X.ID = ?  )
	Left Outer Join WEDGE_DAT_DATA_D AS A ON ( A.ID = Z.DATA_D_ID  )
	Left Outer Join WEDGE_DAT_DATA_H AS B ON ( B.ID = A.HID  )
	Left Outer Join WEDGE_DATA_CLASS AS E ON ( E.ID = B.TYPE  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'TRUE_OR_FALSE' ) AS C ON ( C.VALUE = B.OMIT  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'DATA_TYPE' ) AS D ON ( D.VALUE = E.DATA_TYPE  )
ORDER BY 
	Z.LINE
