SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.CLASS_NAME, 
	A.TEXT, 
	A.TOOLTIP_TEXT, 
	C.X_POS, 
	C.Y_POS, 
	C.WIDTH, 
	C.HEIGHT
FROM 
	WEDGE_CS_COMPONENT "A", 
	WEDGE_BASE "B", 
	WEDGE_CS_LAYOUT "C"
WHERE 
	A.ID = ? AND 
	B.ID (+)= A.BASECLASS_ID AND 
	C.COMPONENT_ID (+)= A.ID
