SELECT 
	A.FRAME_ID, 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.CLASS_NAME, 
	N.PHYSICAL_NAME as "type", 
	A.PARAM, 
	M.ID, 
	M.LOGICAL_NAME, 
	M.PHYSICAL_NAME
FROM 
	WEDGE_CS_CRULE "A", 
	WEDGE_CS_FRAME "M", 
	WEDGE_BUSINESSRULE "C", 
	WEDGE_NAME "N"
WHERE 
	A.ID = ? AND 
	M.PHYSICAL_NAME (+)= A.ADAPTER_PNAME AND 
	C.ID (+)= A.BASECLASS_ID AND 
	N.VALUE (+)= A.TYPE AND 
	N.SEARCH_STRING (+)= 'CRULE_TYPE'
