SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	Z.MEMO as "comment", 
	Z.PARAM, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.CLASS_NAME
FROM 
	WEDGE_CS_CRULE "Z", 
	WEDGE_CS_CRULE_OUT_RECORD "A", 
	WEDGE_BUSINESSRULE "B"
WHERE 
	A.CRULE_ID = Z.ID AND 
	A.ITEM_ID = ? AND 
	B.ID (+)= Z.BASECLASS_ID
ORDER BY 
	Z.PHYSICAL_NAME
