SELECT 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO as "comment", 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
FROM 
	WEDGE_CS_SRULE "C", 
	WEDGE_CS_SRULE_IN_RECORD "A", 
	WEDGE_BUSINESSRULE "D"
WHERE 
	A.SERVERBUSINESSRULE_ID = C.ID AND 
	A.SERVERDATA_ID = ? AND 
	D.ID (+)= C.BASECLASS_ID
GROUP BY 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	C.PARAM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.CLASS_NAME
ORDER BY 
	C.PHYSICAL_NAME
