SELECT 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME, 
	COUNT(Z.ID) as "count"
FROM 
	WEDGE_BAT_SUB "Z", 
	WEDGE_BAT_CALL_STRAN "B", 
	WEDGE_CS_SERVERSUB "A"
WHERE 
	B.BATCH_SUB_ID = Z.ID AND 
	A.PHYSICAL_NAME = B.CALL_SERVERSUB_PNAME AND 
	A.ID = ?
GROUP BY 
	Z.ID, 
	Z.LOGICAL_NAME, 
	Z.PHYSICAL_NAME
ORDER BY 
	Z.PHYSICAL_NAME
