SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	A.TEXT, 
	A.COLUMNWIDTH, 
	C.PHYSICAL_NAME as "visible", 
	D.PHYSICAL_NAME as "editable", 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME
FROM 
	WEDGE_CS_TABLE_D "A", 
	WEDGE_CS_ITEM "B", 
	WEDGE_NAME "C", 
	WEDGE_NAME "D", 
	WEDGE_BASE "E", 
	WEDGE_BASE "F"
WHERE 
	A.HID = ? AND 
	B.ID = A.ITEM_ID AND 
	C.VALUE (+)= A.VISIBLE AND 
	C.SEARCH_STRING (+)= 'CLIENT_TABLE_VISIBLE' AND 
	D.VALUE (+)= A.EDITABLE AND 
	D.SEARCH_STRING (+)= 'TRUE_OR_FALSE' AND 
	E.ID (+)= A.CELLRENDERER AND 
	F.ID (+)= A.CELLEDITOR
ORDER BY 
	A.LINE
