SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	A.RECORD_H_ID, 
	C.PHYSICAL_NAME as "connection_db", 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	A.CREATE_USER, 
	A.CREATE_DATE, 
	A.UPDATE_USER, 
	A.UPDATE_DATE
FROM 
	WEDGE_DAT_TABLE_H "A", 
	WEDGE_DAT_RECORD_H "B", 
	WEDGE_NAME "C"
WHERE 
	A.ID = ? AND 
	B.ID = A.RECORD_H_ID AND 
	C.VALUE (+)= A.CONNECTION_DB AND 
	C.SEARCH_STRING (+)= 'CONNECTION_DB'
ORDER BY 
	A.PHYSICAL_NAME
