SELECT 
	Z.ID, 
	A.PHYSICAL_NAME as "user_agent", 
	B.PHYSICAL_NAME as "mime_type", 
	C.PHYSICAL_NAME as "charset", 
	Z.MEMO
FROM 
	WEDGE_CS_HTML_D "Z", 
	WEDGE_HTML_USER_AGENT "A", 
	WEDGE_NAME "B", 
	WEDGE_NAME "C"
WHERE 
	Z.HID = ? AND 
	A.ID (+)= Z.USER_AGENT AND 
	B.VALUE (+)= Z.MIME_TYPE AND 
	B.SEARCH_STRING (+)= 'MIME_TYPE' AND 
	C.VALUE (+)= Z.CHARSET AND 
	C.SEARCH_STRING (+)= 'CHARSET'
ORDER BY 
	Z.LINE
