SELECT 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	C.ID, 
	C.LOGICAL_NAME, 
	C.PHYSICAL_NAME, 
	C.MEMO, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	D.CALL_SERVERSUB_PNAME, 
	D.CALL_STRAN_PNAME, 
	D.REVISION, 
	E.PHYSICAL_NAME as "user_error", 
	A.ENABLE
FROM 
	WEDGE_BAT_DECISION_DLCP "A", 
	WEDGE_BAT_DLCP "B", 
	WEDGE_BAT_RULE "C", 
	WEDGE_BAT_CALL_STRAN "D", 
	WEDGE_NAME "E"
WHERE 
	A.DECISION_TYPE_ID = ? AND 
	B.ID (+)= A.DC_ID AND 
	C.ID (+)= A.SRULE_ID AND 
	D.ID (+)= A.CALL_STRAN_ID AND 
	E.VALUE (+)= A.USER_ERROR AND 
	E.SEARCH_STRING (+)= 'USER_ERROR'
ORDER BY 
	A.LINE
