SELECT 
	A.ID, 
	A.LOGICAL_NAME, 
	A.PHYSICAL_NAME, 
	A.MEMO, 
	Z.LENGTH, 
	C.LOGICAL_NAME as "omit", 
	Z.SCALE, 
	Z.DEFAULT_VALUE, 
	B.ID, 
	B.LOGICAL_NAME, 
	B.PHYSICAL_NAME, 
	B.MEMO, 
	Z.ENUM, 
	Z.MINIMUM, 
	Z.MAXIMUM, 
	D.ID, 
	D.LOGICAL_NAME, 
	D.PHYSICAL_NAME, 
	D.MEMO, 
	D.CLASS_NAME, 
	Z.FORMAT_PARAM, 
	E.ID, 
	E.LOGICAL_NAME, 
	E.PHYSICAL_NAME, 
	E.MEMO, 
	E.CLASS_NAME, 
	B.FORMAT_PARAM, 
	F.ID, 
	F.LOGICAL_NAME, 
	F.PHYSICAL_NAME, 
	F.MEMO, 
	F.CLASS_NAME, 
	B.DB_TRANSFER_PARAM, 
	G.ID, 
	G.LOGICAL_NAME, 
	G.PHYSICAL_NAME, 
	G.MEMO, 
	G.CLASS_NAME
FROM 
	WEDGE_DAT_DATA_H as Z
	Inner Join WEDGE_DAT_DATA_D AS A ON ( A.HID = Z.ID  AND A.ID = ?  )
	Left Outer Join WEDGE_DATA_CLASS AS B ON ( B.ID = Z.TYPE  )
	Left Outer Join ( SELECT * FROM WEDGE_NAME WHERE  SEARCH_STRING = 'OMIT' ) AS C ON ( C.VALUE = Z.OMIT  )
	Left Outer Join WEDGE_BASE AS D ON ( D.ID = Z.FORMAT_CLASS  )
	Left Outer Join WEDGE_BASE AS E ON ( E.ID = B.FORMAT_CLASS  )
	Left Outer Join WEDGE_BASE AS F ON ( F.ID = B.DB_TRANSFER_CLASS  )
	Left Outer Join WEDGE_BASE AS G ON ( G.ID = B.CHECK_CLASS  )
ORDER BY 
	Z.PHYSICAL_NAME
